There is a flaw in flaw 5.4.0 ?

Discussion in 'Wii U - Hacking & Backup Loaders' started by XGamer30, Sep 26, 2015.

  1. XGamer30
    OP

    XGamer30 Member

    Newcomer
    32
    3
    Aug 28, 2015
    France
    Hello,

    I'm on 5.4.0 and I wonder if there is a flaw in 5.4.0 ?

    when will it be revealed ?
     
    Margen67 likes this.
  2. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    661
    439
    Nov 2, 2013
    United States
    Your chances might be good, that there will soon be a userspace exploit for 5.4.0.
    A kernel exploit is already available, so if I were you I wouldn't update and wait for further announcements and/or keep the homebrew and development thread under surveillance :D
     
    ShinkoNet likes this.
  3. XGamer30
    OP

    XGamer30 Member

    Newcomer
    32
    3
    Aug 28, 2015
    France
    OK thank you, I look forward to the realease of the flaw
     
  4. Monado_III

    Monado_III GBAtemp Advanced Fan

    Member
    636
    349
    Feb 8, 2015
    Canada
    /dev/null
    Just making sure I have this correct, once 5.4 has a userspace exploit, the 5.3.2 kernel exploit needs some minor changes and then 5.4 will be just as good for homebrew as 5.3.2?
     
  5. Marionumber1

    Marionumber1 GBAtemp Maniac

    Member
    1,234
    3,933
    Nov 7, 2010
    United States
    OSv11 didn't change between 5.3.2 and 5.4.0, so a simple rebuild with libwiiu will be enough.
     
  6. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    661
    439
    Nov 2, 2013
    United States
    You heard it here ... live! ... from the man himself! :)
     
  7. DarkFlare69

    DarkFlare69 GBAtemp Psycho!

    Member
    4,624
    2,456
    Dec 8, 2014
    United States
    Ohio
    This guy above said kernel exploit is already available for 5.4? Is that true?
     
  8. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    661
    439
    Nov 2, 2013
    United States
    That's what his post said ... libwiiu contains the only public kernel exploit available.
    So the answer is yes ;)
     
  9. DarkFlare69

    DarkFlare69 GBAtemp Psycho!

    Member
    4,624
    2,456
    Dec 8, 2014
    United States
    Ohio
    But it won't work on 5.4.. right?
     
  10. iCEQB

    iCEQB GBAtemp Advanced Fan

    Member
    661
    439
    Nov 2, 2013
    United States
    Not out of the box ... you need a userspace exploit to execute a kernel exploit and that's what we are currently lacking.
    But you might have caught wind of the recent 3DS developments and releases of several exploits for the webbrowser, which happen to also work on a Wii U.

    So chances are now higher than ever, that we will see the release of a userspace exploit for 5.4.0.
     
    Last edited by iCEQB, Sep 26, 2015
  11. DarkKaine

    DarkKaine GBAtemp Regular

    Member
    271
    291
    Dec 1, 2014
    Netherlands
    Hopefully :) If the webkit exploit releases this will mean we can safely update to 5.4.0 and have the mario maker manual working.
    I'm not quite sure what would happen if the version spoof is already on there tho. I imagine it will install and just keep the latest version.
    Only time will tell :P
     
  12. gamesquest1

    gamesquest1 Nabnut

    Member
    14,078
    9,415
    Sep 23, 2013
    unless we get a fully fledged system updater like sysupdater for the 3DS the spoof means we couldn't even try as you can only update via wifi with the spoof applied as discs assume they dont need to update so you couldn't update to 5.4.0 without removing the patch first

    well i guess there is a few ways it could be done, but all of them would require some work before it could be tested
     
    Last edited by gamesquest1, Sep 26, 2015
  13. FaTaL_ErRoR

    FaTaL_ErRoR AKA ŦƕƎ ƠṀƐƝ

    Member
    491
    346
    Mar 9, 2014
    United States
    There are many "flaws" in 5.4.0. Some of which remain in 5.5.
    But don't you worry. There is one way to repair remote code execution with software. And that can be applied to webkit and an OS.
    Rumor is it will be implemented before 6.0. Unfortunately it will end web developers on the wii u as well.